package ua.be.wee.model.pt;

import java.util.ArrayList;
import java.util.List;

public class TreeNode {
    private String name;
    private String traceIri;
    private List<TreeNode> children = new ArrayList<>();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTraceIri() {
        return traceIri;
    }

    public void setTraceIri(String traceIri) {
        this.traceIri = traceIri;
    }

    public List<TreeNode> getChildren() {
        return children;
    }

    public void addChild(TreeNode child) {
        children.add(child);
    }
}